import React, { type ChangeEvent} from 'react';

interface CustomInputProps {
    type: string;
    onChange: (event: ChangeEvent<HTMLInputElement>) => void;
    required?:boolean;
    placeholder?: string;
}

const CustomInput:React.FC<CustomInputProps> = ({type, onChange, required, placeholder}) => {
    return (
        <div className='input-box'>
            <input
                type={type}
                onChange={onChange}
                required={required}
            />
            <span>{placeholder}</span>
            <i></i>
        </div>
    )
}
export default CustomInput
