import React from "react";
import { motion } from "framer-motion";

const WavingHand: React.FC = () => {
  return (
    <motion.div
      id="waving-hand"
      style={{
        position: "relative",
      }}
      animate={{
        opacity: 0,
      }}
      transition={{
        delay: .7,
        duration: 1,
        onComplete: () => {
          const wavinghand = document.getElementById("waving-hand");
          if (wavinghand) {
            wavinghand.style.display="none";
          }
        }
      }}
    >
      <motion.div
        style={{
          marginBottom: "-20px",
          marginRight: "-45px",
          paddingBottom: "20px",
          paddingRight: "45px",
          display: "inline-block",
          fontSize: "5rem",
          position: "absolute",
          left: "-80px"
        }}
        animate={{
          rotate: 20,
        }}
        transition={{
          repeatType: "mirror",
          repeat: 3,
          from: 0,
          duration: 0.3,
          ease: "easeInOut",
          type: "tween",
        }}
      >
        👋🏻
      </motion.div>
    </motion.div>
  );
};
export default WavingHand;
